Oboe 1.5 A library for creating real-time audio apps on Android

List of all members
oboe::AudioStreamCallback Class Reference

`#include <AudioStreamCallback.h>`

Inheritance diagram for oboe::AudioStreamCallback:

## Additional Inherited Members
Public Member Functions inherited from oboe::AudioStreamDataCallback
virtual DataCallbackResult | onAudioReady (AudioStream *audioStream, void *audioData, int32_t numFrames)=0
Public Member Functions inherited from oboe::AudioStreamErrorCallback
virtual bool | onError (AudioStream *, Result)
virtual void | onErrorBeforeClose (AudioStream *, Result)
virtual void | onErrorAfterClose (AudioStream *, Result)

## Detailed Description

AudioStreamCallback defines a callback interface for:

1) moving data to/from an audio stream using `onAudioReady` 2) being alerted when a stream has an error using `onError*` methods

It is used with AudioStreamBuilder::setCallback().

It combines the interfaces defined by AudioStreamDataCallback and AudioStreamErrorCallback. This was the original callback object. We now recommend using the individual interfaces and using setDataCallback() and setErrorCallback().

Deprecated:
  Use `AudioStreamDataCallback` and `AudioStreamErrorCallback` instead

The documentation for this class was generated from the following file:

- include/oboe/AudioStreamCallback.h